<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators;

/**
 * Class Generic
 *
 * @package Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators
 */
final class Generic extends Validator
{
    /**
     * @param $input
     *
     * @return bool
     */
    public function validate($input): bool
    {
        return true;
    }

    /**
     * @param $input
     *
     * @return string
     */
    public function getErrorMsg($input): string
    {
        return '';
    }

    /**
     * @return array
     */
    public function getTokens(): array
    {
        return [];
    }
}
